Bug 443739 - gcc segfaults building openvrml
gcc segfaults building openvrml
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
ppc64 Linux
low Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-22 23:38 EDT by Braden McDaniel
Modified: 2008-06-06 08:46 EDT (History)
0 users

See Also:
Fixed In Version: 4.3.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-06 08:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Build log (488.80 KB, text/plain)
2008-04-23 00:47 EDT, Braden McDaniel
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 36060 None None None Never

  None (edit)
Description Braden McDaniel 2008-04-22 23:38:16 EDT
Description of problem:
gcc segfaults building openvrml-0.17.5-4.fc9.

Version-Release number of selected component (if applicable):
Comment 1 Braden McDaniel 2008-04-23 00:47:08 EDT
Created attachment 303424 [details]
Build log
Comment 2 Braden McDaniel 2008-04-25 05:07:18 EDT
Appending -O0 after %optflags appears to work around the problem.
Comment 3 Jakub Jelinek 2008-04-25 06:33:55 EDT
openvrml doesn't build at all for me, the first error being
In file included from /usr/include/xulrunner-sdk-1.9pre/js/jstypes.h:249,
                 from /usr/include/xulrunner-sdk-1.9pre/js/jspubtd.h:45,
                 from /usr/include/xulrunner-sdk-1.9pre/js/jsapi.h:48,
                 from libopenvrml/openvrml/script.cpp:2027:
/usr/include/xulrunner-sdk-1.9pre/js/jsautocfg.h:5:25: error: jsautocfg32.h: No
such file or directory

in rawhide mock build on ppc64, so unless you provide preprocessed testcase, I'm
afraid I can't do anything with it.
xulrunner-devel-1.9-0.55.beta5.fc9 is in the build root.
Comment 4 Braden McDaniel 2008-04-25 11:06:10 EDT
Try xulrunner-1.9-0.56.beta5.fc9.

Builds of openvrml-0.17.5-5.fc9 just succeeded in koji, and that's what was used

Comment 5 Bug Zapper 2008-05-14 05:59:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Jakub Jelinek 2008-06-06 08:46:27 EDT
This has been fixed in 4.3.0-8.

Note You need to log in before you can comment on or make changes to this bug.